package com.ruoyi.mall.domain.Vo;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 联考成绩分析
 * @author 萌
 */
public class UnionTestAnalysisVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 年份 */
    private String acceptYear;

    /** 录取最低分 */
    private BigDecimal acceptLowest;

    /** 当前联考所需文化分 */
    private BigDecimal needCultureScore;

    /** 文化最低分 */
    private BigDecimal cultureLowest;

    /** 计算公式 */
    private Long acceptRuleId;

    public BigDecimal getCultureLowest() {
        return cultureLowest;
    }

    public void setCultureLowest(BigDecimal cultureLowest) {
        this.cultureLowest = cultureLowest;
    }

    public String getAcceptYear() {
        return acceptYear;
    }

    public void setAcceptYear(String acceptYear) {
        this.acceptYear = acceptYear;
    }

    public BigDecimal getAcceptLowest() {
        return acceptLowest;
    }

    public void setAcceptLowest(BigDecimal acceptLowest) {
        this.acceptLowest = acceptLowest;
    }

    public BigDecimal getNeedCultureScore() {
        return needCultureScore;
    }

    public void setNeedCultureScore(BigDecimal needCultureScore) {
        this.needCultureScore = needCultureScore;
    }

    public Long getAcceptRuleId() {
        return acceptRuleId;
    }

    public void setAcceptRuleId(Long acceptRuleId) {
        this.acceptRuleId = acceptRuleId;
    }

    @Override
    public String toString() {
        return "UnionTestAnalysisVO{" +
                "acceptYear='" + acceptYear + '\'' +
                ", acceptLowest=" + acceptLowest +
                ", needCultureScore=" + needCultureScore +
                ", acceptRuleId=" + acceptRuleId +
                '}';
    }
}
